incubator-olio-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Amanda Waite <amandarwa...@googlemail.com>
Subject Re: Error creating user
Date Thu, 20 May 2010 23:26:50 GMT
Hi Bruno,

Yes, you have to have the geocoder installed and running. You can specify
the URI of the geocoder in the config/environment.rb file.

Usually I just set up a a Tomcat or Glassfish instance and deploy the
geocoder app to it.

Amanda

2010/5/20 Bruno Guimarães Sousa <brgsousa@gmail.com>

> Everyone,
> Just installed Olio (without Geocoder and memcached). Starting thin,
> everything looks ok... EventDetail, PersonDetail ...Cloud tag... everything
> ok.
>
> The problem is with new users. After filling the form, when I click the
> button "Create", the browser gives me this error:
> We're sorry, but something went wrong.
> We've been notified about this issue and we'll take a look at it shortly.
>
> Checking web server log:
> Errno::ECONNREFUSED (Connection refused - connect(2)):
>   /usr/lib/ruby/1.8/net/http.rb:560:in `initialize'
>   /usr/lib/ruby/1.8/net/http.rb:560:in `open'
>   /usr/lib/ruby/1.8/net/http.rb:560:in `connect'
>   /usr/lib/ruby/1.8/timeout.rb:53:in `timeout'
>   /usr/lib/ruby/1.8/timeout.rb:93:in `timeout'
>   /usr/lib/ruby/1.8/net/http.rb:560:in `connect'
>   /usr/lib/ruby/1.8/net/http.rb:553:in `do_start'
>   /usr/lib/ruby/1.8/net/http.rb:542:in `start'
>   /usr/lib/ruby/1.8/net/http.rb:379:in `get_response'
>   /usr/lib/ruby/1.8/net/http.rb:356:in `get'
>   app/models/geolocation.rb:34:in `initialize'
>   app/controllers/users_controller.rb:96:in `new'
>   app/controllers/users_controller.rb:96:in `create'
>   thin (1.2.7) lib/thin/connection.rb:76:in `pre_process'
>   thin (1.2.7) lib/thin/connection.rb:74:in `catch'
>   thin (1.2.7) lib/thin/connection.rb:74:in `pre_process'
>   thin (1.2.7) lib/thin/connection.rb:57:in `process'
>   thin (1.2.7) lib/thin/connection.rb:42:in `receive_data'
>   eventmachine (0.12.10) lib/eventmachine.rb:256:in `run_machine'
>   eventmachine (0.12.10) lib/eventmachine.rb:256:in `run'
>   thin (1.2.7) lib/thin/backends/base.rb:57:in `start'
>   thin (1.2.7) lib/thin/server.rb:156:in `start'
>   server:20
>
> Is it because I didn't install geocoder?
>
> regards,
> --
> Bruno Guimarães Sousa
> www.ifba.edu.br
> PONTONET - DGTI - IFBA
> Ciência da Computação UFBA
> Registered Linux user #465914
>

Mime
View raw message